<!DOCTYPE html>
<html lang="es">
    <head>
        <meta charset="UTF-8" />
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <link rel="stylesheet" href="./style.css" />
        <title>Ejercicio HTML 1</title>
    </head>

    <body>
        <div>
            <form action="" method="GET">
                <fieldset>
                    <legend>Nombre:</legend>
                    <input type="text" name="name_control" autofocus required />
                </fieldset>
                <fieldset>
                    <legend>Correo electrónico:</legend>
                    <input
                        class="req"
                        type="email"
                        name="_placeholder_"
                        required
                    />
                </fieldset>

                <fieldset>
                    <legend>URL:</legend>
                    <input
                        type="url"
                        name="url_control"
                        placeholder="Escribe la URL de tu página web personal"
                    />
                </fieldset>

                <fieldset>
                    <legend>Fecha:</legend>
                    <input type="date" name="date_control" />
                </fieldset>

                <fieldset>
                    <legend>Tiempo:</legend>
                    <input type="time" name="time_control" />
                </fieldset>

                <fieldset>
                    <legend>Fecha y hora:</legend>
                    <input type="datetime" name="datetime_control" />
                </fieldset>

                <fieldset>
                    <legend>Mes:</legend>
                    <input type="month" name="month_control" />
                </fieldset>

                <fieldset>
                    <legend>Semana:</legend>
                    <input type="week" name="week_control" />
                </fieldset>

                <fieldset>
                    <legend>Número (min -10, max 10):</legend>
                    <input
                        type="number"
                        name="number_control"
                        min="-10"
                        max="10"
                        value="0"
                    />
                </fieldset>

                <fieldset>
                    <legend>Teléfono:</legend>
                    <input type="tel" name="tel_control" />
                </fieldset>

                <fieldset>
                    <legend>Término de búsqueda:</legend>
                    <input type="search" name="search_control" disabled 2 />
                </fieldset>

                <fieldset>
                    <legend>Color favorito:</legend>
                    <br />
                    <input type="color" name="color_control" />
                </fieldset>

                <fieldset>
                    <input type="submit" value="Enviar" />
                </fieldset>
            </form>
        </div>
    </body>
</html>
